SystemOrganization addCategory: #LandSlide!

Object subclass: #MonticelloUnpacker
	instanceVariableNames: 'filename'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LandSlide'!

!MonticelloUnpacker class methodsFor: 'as yet unclassified' stamp: 'SeanHurley 5/2/2013 12:34'!
fromUrl: url
	"comment stating purpose of message"
	| dir znurl filename unpacker stringContents |
	dir := FileSystem disk workingDirectory .
	ZnClient new
		url: url;
		downloadTo:dir . 
	znurl := ZnUrl fromString: url .
	filename := znurl lastPathSegment .
	unpacker := MonticelloUnpacker new .
	unpacker filename: (dir / filename) .
	stringContents := unpacker extractStringFromFile .
	unpacker cleanupFile .
	^stringContents! !

!MonticelloUnpacker class methodsFor: 'as yet unclassified' stamp: 'SeanHurley 5/2/2013 12:36'!
getNewFileContents
	| file unpacker |
	file := StandardWindow new fileOpen: '' .
	unpacker := MonticelloUnpacker new .
	unpacker filename: file .
	^ unpacker extractStringFromFile ! !

!MonticelloUnpacker methodsFor: 'as yet unclassified' stamp: 'SeanHurley 5/2/2013 12:33'!
cleanupFile
	self filename deleteAll! !

!MonticelloUnpacker methodsFor: 'as yet unclassified' stamp: 'SeanHurley 5/2/2013 12:26'!
extractStringFromFile
	"comment stating purpose of message"
	| fulldir dir zip fileStream fileContents|
	fulldir := self filename .
	zip := ZipArchive new readFrom: (fulldir fullName) .
	dir := FileSystem disk workingDirectory / 'temp'.
	dir createDirectory .
	zip extractAllTo:  dir .
	fileStream := (dir / 'snapshot' / 'source.st') readStream .
	fileContents := fileStream contents .
	dir deleteAll .
	^fileContents! !

!MonticelloUnpacker methodsFor: 'as yet unclassified' stamp: 'SeanHurley 5/2/2013 12:20'!
filename
	"comment stating purpose of message"
	^ filename! !

!MonticelloUnpacker methodsFor: 'as yet unclassified' stamp: 'SeanHurley 5/2/2013 12:20'!
filename: aFileName
	"comment stating purpose of message"
	filename := aFileName! !

TestCase subclass: #LandSlideTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LandSlide'!
